# Testing with pa11y

This [resource](https://bitsofco.de/pa11y/) is a good start to create your own testing pipeline.



## Quick and simple overview
```
npm install -g pa11y
```
```
pa11y https://data.beta.grandlyon.com/fr/accueil
```

## Display only critical errors
```
pa11y https://data.beta.grandlyon.com/fr/accueil --ignore "warning;notice"
```

## Using the pa11y-ci
```
npm install -g pa11y-ci
```

Then create a **.pa11y1** json file.
```
{
  "urls": [ 
    "https://data.beta.grandlyon.com/fr/accueil"
  ]
}
```
To run the report on multiple URLs:
```
pay11-ci
```

It is also possible to save the report as a json file:
```
pay11-ci --json > report.json
```